package compilateur.cspLangage;

import compilateur.CompilationException;
import compilateur.Tool;

public class FonctionRandom extends ExpressionSimple {

	public FonctionRandom(Commande parent) {
		super(parent);
	}

	public ExpressionSimple min;
	public ExpressionSimple max;

	public String compile () throws CompilationException {
		return Tool.compile ("(int)((Math.random () * (<%1>-<%0>) + <%0>))",min.compile(), max.compile());	
	}
	
	public String buildCsp() throws CompilationException {
		return "random (" + min.buildCsp() + "," + max.buildCsp() + ")";
	}

	@Override
	public void changeVariable(String oldVar, String newVar) {
		min.changeVariable (oldVar, newVar);
		max.changeVariable (oldVar, newVar);
	}
	
}