package compilateur.cspLangage;

import java.util.Vector;

import util.Var;

import compilateur.CompilationException;
import compilateur.CspVar;


public class ValeurTab extends ExpressionSimple {

	public Variable variable;
	public Vector<ExpressionSimple> indices = new Vector<ExpressionSimple>();

	public ValeurTab(Commande parent) {
		super(parent);
	}

	public String compile () throws CompilationException {
		String content = "";
		
		CspVar v = parent.parent.getVar(variable.toString());
		content += v.getLinkedVar().getName() + ".getData(";
		
		for (int i=0;i<indices.size();i++) {
			content += indices.get(i).compile();
			if (i != indices.size()-1) content += ", ";
		}
		
		content += ").get()";
		
		return content;
	}
	
	public String buildCsp () {
		return "";
		
	}
	
	public void changeVariable (String oldVar, String newVar) {
		for (ExpressionSimple expr : indices)
			expr.changeVariable(oldVar, newVar);			
	}
	
	
}
