package util.saveObject;

import java.awt.Color;

public class SavableColor implements Savable {

	private Color color;
	
	public SavableColor (Color color) {
		this.color = color;
	}
	
	/**
	 * Ne doit tre utilis que par la structure "savable" 
	 */
	public SavableColor () {
		
	}
	
	public Color getColor () {
		return color;
	}
	
	public void saveInto(OutputSaveObject sObj) throws SaveObjectException {
		int red = color.getRed ();
		int green = color.getGreen ();
		int blue = color.getBlue ();
		sObj.add("red", red);
		sObj.add("green", green);
		sObj.add("blue", blue);
	}

	public void loadFrom(InputSaveObject sObj) throws SaveObjectException {
		int red = (Integer) sObj.getNext ("red");
		int green = (Integer) sObj.getNext ("green");
		int blue = (Integer) sObj.getNext ("blue");
		color = new Color (red, green, blue);		
	}

}
