// $ANTLR : "parser.g" -> "P.java"$

	package compilateur;
import java.util.Vector ;
import compilateur.cspLangage.*;

import antlr.TokenBuffer;
import antlr.TokenStreamException;
import antlr.TokenStreamIOException;
import antlr.ANTLRException;
import antlr.LLkParser;
import antlr.Token;
import antlr.TokenStream;
import antlr.RecognitionException;
import antlr.NoViableAltException;
import antlr.MismatchedTokenException;
import antlr.SemanticException;
import antlr.ParserSharedInputState;
import antlr.collections.impl.BitSet;

public class P extends antlr.LLkParser       implements PTokenTypes
 {

protected P(TokenBuffer tokenBuf, int k) {
  super(tokenBuf,k);
  tokenNames = _tokenNames;
}

public P(TokenBuffer tokenBuf) {
  this(tokenBuf,2);
}

protected P(TokenStream lexer, int k) {
  super(lexer,k);
  tokenNames = _tokenNames;
}

public P(TokenStream lexer) {
  this(lexer,2);
}

public P(ParserSharedInputState state) {
  super(state,2);
  tokenNames = _tokenNames;
}

	public final Programme  programme() throws RecognitionException, TokenStreamException {
		Programme prog;
		
		prog = new Programme (); Macro m; Define d=null;
		
		try {      // for error handling
			{
			_loop207:
			do {
				if ((LA(1)==DEFINE)) {
					d=declarationConstante();
					if ( inputState.guessing==0 ) {
						prog.defines.add(d);
					}
				}
				else {
					break _loop207;
				}
				
			} while (true);
			}
			{
			int _cnt209=0;
			_loop209:
			do {
				if ((LA(1)==IDENTIFIER)) {
					m=declarationListeCommande();
					if ( inputState.guessing==0 ) {
						prog.macros.add (m);
					}
				}
				else {
					if ( _cnt209>=1 ) { break _loop209; } else {throw new NoViableAltException(LT(1), getFilename());}
				}
				
				_cnt209++;
			} while (true);
			}
			match(Token.EOF_TYPE);
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_0);
			} else {
			  throw ex;
			}
		}
		return prog;
	}
	
	public final Define  declarationConstante() throws RecognitionException, TokenStreamException {
		Define def = new Define ();
		
		Identifier id; Valeur v;
		
		try {      // for error handling
			match(DEFINE);
			id=identifier();
			v=valeur();
			if ( inputState.guessing==0 ) {
				def.id = id; def.valeur = v;
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_1);
			} else {
			  throw ex;
			}
		}
		return def;
	}
	
	public final Macro  declarationListeCommande() throws RecognitionException, TokenStreamException {
		Macro m;
		
		Identifier t; ListeCommande liste; m = new Macro();
		
		try {      // for error handling
			t=idListeCommande();
			match(DOUBLE_EGAL);
			liste=listeCommande(null, m);
			if ( inputState.guessing==0 ) {
				m.id = t; m.setListe(liste);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_2);
			} else {
			  throw ex;
			}
		}
		return m;
	}
	
	public final Identifier  identifier() throws RecognitionException, TokenStreamException {
		Identifier id=new Identifier();
		
		Token  t = null;
		
		try {      // for error handling
			t = LT(1);
			match(IDENTIFIER);
			if ( inputState.guessing==0 ) {
				id.token = t;
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_3);
			} else {
			  throw ex;
			}
		}
		return id;
	}
	
	public final Valeur  valeur() throws RecognitionException, TokenStreamException {
		Valeur v=null;
		
		
		try {      // for error handling
			switch ( LA(1)) {
			case ENTIER:
			{
				v=nombre();
				break;
			}
			case STRING_LITERAL:
			{
				v=string();
				break;
			}
			case TRUE:
			{
				match(TRUE);
				if ( inputState.guessing==0 ) {
					v= new True ();
				}
				break;
			}
			case FALSE:
			{
				match(FALSE);
				if ( inputState.guessing==0 ) {
					v= new False ();
				}
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_4);
			} else {
			  throw ex;
			}
		}
		return v;
	}
	
	public final StringValeur  string() throws RecognitionException, TokenStreamException {
		StringValeur str=new StringValeur();
		
		Token  t = null;
		
		try {      // for error handling
			t = LT(1);
			match(STRING_LITERAL);
			if ( inputState.guessing==0 ) {
				str.token = t;
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_4);
			} else {
			  throw ex;
			}
		}
		return str;
	}
	
	public final Nombre  nombre() throws RecognitionException, TokenStreamException {
		Nombre nb=new Nombre();
		
		Token  t2 = null;
		
		try {      // for error handling
			t2 = LT(1);
			match(ENTIER);
			if ( inputState.guessing==0 ) {
				nb.token = t2;
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_4);
			} else {
			  throw ex;
			}
		}
		return nb;
	}
	
	public final ValeurTab  valeurTab(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		ValeurTab vt=new ValeurTab(parent);
		
		Variable v = null; ExpressionSimple e = null;
		
		try {      // for error handling
			v=variable(parent);
			if ( inputState.guessing==0 ) {
				vt.variable = v;
			}
			match(CROCHETG);
			e=expressionSimple(parent);
			if ( inputState.guessing==0 ) {
				vt.indices.add (e);
			}
			{
			_loop215:
			do {
				if ((LA(1)==VIRGULE)) {
					match(VIRGULE);
					e=expressionSimple(parent);
					if ( inputState.guessing==0 ) {
						vt.indices.add(e);
					}
				}
				else {
					break _loop215;
				}
				
			} while (true);
			}
			match(CROCHETD);
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_5);
			} else {
			  throw ex;
			}
		}
		return vt;
	}
	
	public final Variable  variable(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		Variable v=new Variable(parent);
		
		Identifier id;
		
		try {      // for error handling
			id=identifier();
			if ( inputState.guessing==0 ) {
				v.id = id;
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_6);
			} else {
			  throw ex;
			}
		}
		return v;
	}
	
	public final ExpressionSimple  expressionSimple(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		ExpressionSimple mem=null;
		
		Token  t1 = null;
		Token  t2 = null;
		ExpressionSimple e, nouv; Token t=null; Token first = LT(1);
		
		try {      // for error handling
			mem=exprBool(parent);
			{
			_loop336:
			do {
				if ((LA(1)==AND||LA(1)==OR)) {
					{
					switch ( LA(1)) {
					case AND:
					{
						t1 = LT(1);
						match(AND);
						if ( inputState.guessing==0 ) {
							t = t1;
						}
						break;
					}
					case OR:
					{
						t2 = LT(1);
						match(OR);
						if ( inputState.guessing==0 ) {
							t = t2;
						}
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
					e=exprBool(parent);
					if ( inputState.guessing==0 ) {
						nouv = new ExpressionSimple (parent); 
											 nouv.leftMember = mem; 
											 nouv.operateur = t;
											 nouv.rightMember = e;
											 mem = nouv;
										
					}
				}
				else {
					break _loop336;
				}
				
			} while (true);
			}
			if ( inputState.guessing==0 ) {
				mem.first = first; mem.last = LT(1);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_7);
			} else {
			  throw ex;
			}
		}
		return mem;
	}
	
	public final Identifier  idListeCommande() throws RecognitionException, TokenStreamException {
		Identifier id=null;
		
		
		try {      // for error handling
			id=identifier();
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_8);
			} else {
			  throw ex;
			}
		}
		return id;
	}
	
	public final SimpleType  typeBase(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		SimpleType type=null;
		
		Token  t1 = null;
		Token  t2 = null;
		Token  t3 = null;
		
		try {      // for error handling
			switch ( LA(1)) {
			case INTEGER:
			{
				t1 = LT(1);
				match(INTEGER);
				if ( inputState.guessing==0 ) {
					type = new SimpleType (t1, parent);
				}
				break;
			}
			case STRING:
			{
				t2 = LT(1);
				match(STRING);
				if ( inputState.guessing==0 ) {
					type = new SimpleType (t2, parent);
				}
				break;
			}
			case BOOLEAN:
			{
				t3 = LT(1);
				match(BOOLEAN);
				if ( inputState.guessing==0 ) {
					type = new SimpleType (t3, parent);
				}
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_9);
			} else {
			  throw ex;
			}
		}
		return type;
	}
	
	public final ArrayType  typeTab(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		ArrayType tab = new ArrayType(parent);
		
		SimpleType st = null; Range r = null;
		
		try {      // for error handling
			{
			match(CROCHETG);
			r=simpleRange(parent);
			if ( inputState.guessing==0 ) {
				tab.ranges.add (r);
			}
			{
			_loop223:
			do {
				if ((LA(1)==VIRGULE)) {
					match(VIRGULE);
					r=simpleRange(parent);
					if ( inputState.guessing==0 ) {
						tab.ranges.add(r);
					}
				}
				else {
					break _loop223;
				}
				
			} while (true);
			}
			match(CROCHETD);
			st=typeBase(parent);
			if ( inputState.guessing==0 ) {
				tab.type = st;
			}
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_9);
			} else {
			  throw ex;
			}
		}
		return tab;
	}
	
	public final Range  simpleRange(
		Commande cmd
	) throws RecognitionException, TokenStreamException {
		Range r = new Range(cmd);
		
		ExpressionSimple e;
		
		try {      // for error handling
			e=expressionSimple(cmd);
			if ( inputState.guessing==0 ) {
				r.borneInf = e;
			}
			match(DOUBLE_PT);
			e=expressionSimple(cmd);
			if ( inputState.guessing==0 ) {
				r.borneSup = e;
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_10);
			} else {
			  throw ex;
			}
		}
		return r;
	}
	
	public final Type  type(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		Type type=null;
		
		TypeStructuree t = null;
		
		try {      // for error handling
			switch ( LA(1)) {
			case INTEGER:
			case STRING:
			case BOOLEAN:
			{
				type=typeBase(parent);
				break;
			}
			case IDENTIFIER:
			case PARG:
			{
				type=typeStructuree(parent);
				break;
			}
			case CROCHETG:
			{
				type=typeTab(parent);
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_9);
			} else {
			  throw ex;
			}
		}
		return type;
	}
	
	public final TypeStructuree  typeStructuree(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		TypeStructuree ts=new TypeStructuree();
		
		Identifier id; Type t;
		
		try {      // for error handling
			switch ( LA(1)) {
			case IDENTIFIER:
			{
				id=constructeur();
				if ( inputState.guessing==0 ) {
					ts.constructeur = id;
				}
				match(PARG);
				{
				switch ( LA(1)) {
				case CROCHETG:
				case IDENTIFIER:
				case INTEGER:
				case STRING:
				case BOOLEAN:
				case PARG:
				{
					t=type(parent);
					if ( inputState.guessing==0 ) {
						ts.types.add (t);
					}
					{
					_loop228:
					do {
						if ((LA(1)==VIRGULE)) {
							match(VIRGULE);
							t=type(parent);
							if ( inputState.guessing==0 ) {
								ts.types.add(t);
							}
						}
						else {
							break _loop228;
						}
						
					} while (true);
					}
					break;
				}
				case PARD:
				{
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				match(PARD);
				break;
			}
			case PARG:
			{
				match(PARG);
				{
				switch ( LA(1)) {
				case CROCHETG:
				case IDENTIFIER:
				case INTEGER:
				case STRING:
				case BOOLEAN:
				case PARG:
				{
					t=type(parent);
					if ( inputState.guessing==0 ) {
						ts.types.add (t);
					}
					{
					_loop231:
					do {
						if ((LA(1)==VIRGULE)) {
							match(VIRGULE);
							t=type(parent);
							if ( inputState.guessing==0 ) {
								ts.types.add(t);
							}
						}
						else {
							break _loop231;
						}
						
					} while (true);
					}
					break;
				}
				case PARD:
				{
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				match(PARD);
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_9);
			} else {
			  throw ex;
			}
		}
		return ts;
	}
	
	public final Identifier  constructeur() throws RecognitionException, TokenStreamException {
		Identifier id=null;
		
		
		try {      // for error handling
			id=identifier();
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_11);
			} else {
			  throw ex;
			}
		}
		return id;
	}
	
	public final Identifier  nomProcessus() throws RecognitionException, TokenStreamException {
		Identifier id=null;
		
		
		try {      // for error handling
			id=identifier();
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_12);
			} else {
			  throw ex;
			}
		}
		return id;
	}
	
	public final ListeCommande  listeCommande(
		ListeCommande parent, Macro mParent
	) throws RecognitionException, TokenStreamException {
		ListeCommande liste;
		
		Commande c; if (mParent != null) liste = new ListeCommande(mParent); else liste = new ListeCommande(parent);
		
		try {      // for error handling
			c=commande(liste);
			if ( inputState.guessing==0 ) {
				liste.add (c);
			}
			{
			_loop237:
			do {
				if ((LA(1)==PT_VIRGULE)) {
					match(PT_VIRGULE);
					c=commande(liste);
					if ( inputState.guessing==0 ) {
						liste.add (c);
					}
				}
				else {
					break _loop237;
				}
				
			} while (true);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_13);
			} else {
			  throw ex;
			}
		}
		return liste;
	}
	
	public final Commande  commande(
		ListeCommande parent
	) throws RecognitionException, TokenStreamException {
		Commande cmd=null;
		
		Token first = null;
		
		try {      // for error handling
			if ( inputState.guessing==0 ) {
				first = LT(1);
			}
			{
			switch ( LA(1)) {
			case IDENTIFIER:
			case PARG:
			case SLEEP:
			case PRINT:
			case SKIP:
			{
				cmd=commandeSimple(parent);
				break;
			}
			case CROCHETG:
			case ETOILE:
			{
				cmd=commandeStructuree(parent);
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			if ( inputState.guessing==0 ) {
				cmd.firstToken = first; cmd.lastToken = LT(0);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_14);
			} else {
			  throw ex;
			}
		}
		return cmd;
	}
	
	public final Commande  commandeSimple(
		ListeCommande parent
	) throws RecognitionException, TokenStreamException {
		Commande cmd=null;
		
		
		try {      // for error handling
			switch ( LA(1)) {
			case SKIP:
			{
				cmd=commandeNulle(parent);
				break;
			}
			case PRINT:
			{
				cmd=commandePrint(parent);
				break;
			}
			case SLEEP:
			{
				cmd=commandeSleep(parent);
				break;
			}
			default:
				if ((LA(1)==IDENTIFIER) && (LA(2)==VIRGULE||LA(2)==DEUX_PTS)) {
					cmd=declaration(parent);
				}
				else {
					boolean synPredMatched242 = false;
					if (((LA(1)==IDENTIFIER||LA(1)==PARG) && (_tokenSet_15.member(LA(2))))) {
						int _m242 = mark();
						synPredMatched242 = true;
						inputState.guessing++;
						try {
							{
							commandeAffectation(parent);
							}
						}
						catch (RecognitionException pe) {
							synPredMatched242 = false;
						}
						rewind(_m242);
						inputState.guessing--;
					}
					if ( synPredMatched242 ) {
						cmd=commandeAffectation(parent);
					}
					else if ((LA(1)==IDENTIFIER) && (LA(2)==CROCHETG||LA(2)==OUTPUT||LA(2)==INPUT)) {
						cmd=commandeES(parent);
					}
				else {
					throw new NoViableAltException(LT(1), getFilename());
				}
				}}
			}
			catch (RecognitionException ex) {
				if (inputState.guessing==0) {
					reportError(ex);
					consume();
					consumeUntil(_tokenSet_14);
				} else {
				  throw ex;
				}
			}
			return cmd;
		}
		
	public final Commande  commandeStructuree(
		ListeCommande parent
	) throws RecognitionException, TokenStreamException {
		Commande cmd=null;
		
		
		try {      // for error handling
			boolean synPredMatched293 = false;
			if (((LA(1)==CROCHETG) && (LA(2)==IDENTIFIER))) {
				int _m293 = mark();
				synPredMatched293 = true;
				inputState.guessing++;
				try {
					{
					commandeParallele(parent);
					}
				}
				catch (RecognitionException pe) {
					synPredMatched293 = false;
				}
				rewind(_m293);
				inputState.guessing--;
			}
			if ( synPredMatched293 ) {
				cmd=commandeParallele(parent);
			}
			else if ((LA(1)==CROCHETG) && (_tokenSet_16.member(LA(2)))) {
				cmd=commandeAlternative(parent);
			}
			else if ((LA(1)==ETOILE)) {
				cmd=commandeRepetitive(parent);
			}
			else {
				throw new NoViableAltException(LT(1), getFilename());
			}
			
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_14);
			} else {
			  throw ex;
			}
		}
		return cmd;
	}
	
	public final Commande  commandeNulle(
		ListeCommande parent
	) throws RecognitionException, TokenStreamException {
		Commande cmd=null;
		
		
		try {      // for error handling
			match(SKIP);
			if ( inputState.guessing==0 ) {
				cmd = new CommandeNulle (parent);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_14);
			} else {
			  throw ex;
			}
		}
		return cmd;
	}
	
	public final Declaration  declaration(
		ListeCommande parent
	) throws RecognitionException, TokenStreamException {
		Declaration cmd=new Declaration(parent);
		
		Vector<Variable> liste; Type t=null; Expression e;
		
		try {      // for error handling
			liste=listeVariable(cmd);
			match(DEUX_PTS);
			t=type(cmd);
			if ( inputState.guessing==0 ) {
				cmd.variables = liste; cmd.type=t;
			}
			{
			switch ( LA(1)) {
			case AFFECT:
			{
				match(AFFECT);
				e=expression(cmd);
				if ( inputState.guessing==0 ) {
					cmd.valeur = e;
				}
				break;
			}
			case EOF:
			case CROCHETG:
			case CROCHETD:
			case IDENTIFIER:
			case PT_VIRGULE:
			case PARALLELE:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_14);
			} else {
			  throw ex;
			}
		}
		return cmd;
	}
	
	public final CommandePrint  commandePrint(
		ListeCommande parent
	) throws RecognitionException, TokenStreamException {
		CommandePrint cmd = new CommandePrint (parent);
		
		ExpressionSimple v = null ;
		
		try {      // for error handling
			match(PRINT);
			match(PARG);
			v=expressionSimple(cmd);
			if ( inputState.guessing==0 ) {
				cmd.expr = v;
			}
			match(PARD);
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_14);
			} else {
			  throw ex;
			}
		}
		return cmd;
	}
	
	public final CommandeSleep  commandeSleep(
		ListeCommande parent
	) throws RecognitionException, TokenStreamException {
		CommandeSleep cmd = new CommandeSleep (parent);
		
		ExpressionSimple v = null ;
		
		try {      // for error handling
			match(SLEEP);
			match(PARG);
			v=expressionSimple(cmd);
			if ( inputState.guessing==0 ) {
				cmd.expr = v;
			}
			match(PARD);
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_14);
			} else {
			  throw ex;
			}
		}
		return cmd;
	}
	
	public final Affectation  commandeAffectation(
		ListeCommande parent
	) throws RecognitionException, TokenStreamException {
		Affectation cmd;
		
		VariableCible cible; Expression source; cmd = new Affectation(parent);
		
		try {      // for error handling
			cible=variableCible(cmd);
			match(AFFECT);
			source=expression(cmd);
			if ( inputState.guessing==0 ) {
				cmd.cible = cible; cmd.source=source;
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_14);
			} else {
			  throw ex;
			}
		}
		return cmd;
	}
	
	public final CommandeES  commandeES(
		ListeCommande parent
	) throws RecognitionException, TokenStreamException {
		CommandeES cmd=null;
		
		Token first = LT(1);
		
		try {      // for error handling
			{
			boolean synPredMatched283 = false;
			if (((LA(1)==IDENTIFIER) && (LA(2)==CROCHETG||LA(2)==OUTPUT))) {
				int _m283 = mark();
				synPredMatched283 = true;
				inputState.guessing++;
				try {
					{
					commandeSortie(parent);
					}
				}
				catch (RecognitionException pe) {
					synPredMatched283 = false;
				}
				rewind(_m283);
				inputState.guessing--;
			}
			if ( synPredMatched283 ) {
				cmd=commandeSortie(parent);
			}
			else if ((LA(1)==IDENTIFIER) && (LA(2)==CROCHETG||LA(2)==INPUT)) {
				cmd=commandeEntree(parent);
			}
			else {
				throw new NoViableAltException(LT(1), getFilename());
			}
			
			}
			if ( inputState.guessing==0 ) {
				cmd.firstToken = first; cmd.lastToken = LT(1);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_17);
			} else {
			  throw ex;
			}
		}
		return cmd;
	}
	
	public final Vector<Variable>  listeVariable(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		Vector<Variable> liste = new Vector<Variable>();
		
		Variable v;
		
		try {      // for error handling
			v=variable(parent);
			if ( inputState.guessing==0 ) {
				liste.add (v);
			}
			{
			_loop250:
			do {
				if ((LA(1)==VIRGULE)) {
					match(VIRGULE);
					v=variable(parent);
					if ( inputState.guessing==0 ) {
						liste.add(v);
					}
				}
				else {
					break _loop250;
				}
				
			} while (true);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_18);
			} else {
			  throw ex;
			}
		}
		return liste;
	}
	
	public final Expression  expression(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		Expression v=null;
		
		
		try {      // for error handling
			boolean synPredMatched270 = false;
			if (((LA(1)==IDENTIFIER) && (LA(2)==PARG))) {
				int _m270 = mark();
				synPredMatched270 = true;
				inputState.guessing++;
				try {
					{
					expressionStructuree(parent);
					}
				}
				catch (RecognitionException pe) {
					synPredMatched270 = false;
				}
				rewind(_m270);
				inputState.guessing--;
			}
			if ( synPredMatched270 ) {
				v=expressionStructuree(parent);
			}
			else if ((LA(1)==CROCHETG)) {
				v=expressionTab(parent);
			}
			else if ((_tokenSet_16.member(LA(1))) && (_tokenSet_19.member(LA(2)))) {
				v=expressionSimple(parent);
			}
			else {
				throw new NoViableAltException(LT(1), getFilename());
			}
			
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_20);
			} else {
			  throw ex;
			}
		}
		return v;
	}
	
	public final VariableCible  variableCible(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		VariableCible vc=null;
		
		
		try {      // for error handling
			boolean synPredMatched254 = false;
			if (((LA(1)==IDENTIFIER) && (LA(2)==CROCHETG))) {
				int _m254 = mark();
				synPredMatched254 = true;
				inputState.guessing++;
				try {
					{
					cibleArray(parent);
					}
				}
				catch (RecognitionException pe) {
					synPredMatched254 = false;
				}
				rewind(_m254);
				inputState.guessing--;
			}
			if ( synPredMatched254 ) {
				vc=cibleArray(parent);
			}
			else {
				boolean synPredMatched256 = false;
				if (((LA(1)==IDENTIFIER||LA(1)==PARG) && (LA(2)==IDENTIFIER||LA(2)==PARG))) {
					int _m256 = mark();
					synPredMatched256 = true;
					inputState.guessing++;
					try {
						{
						cibleStructuree(parent);
						}
					}
					catch (RecognitionException pe) {
						synPredMatched256 = false;
					}
					rewind(_m256);
					inputState.guessing--;
				}
				if ( synPredMatched256 ) {
					vc=cibleStructuree(parent);
				}
				else if ((LA(1)==IDENTIFIER) && (_tokenSet_21.member(LA(2)))) {
					vc=variableCibleSimple(parent);
				}
				else {
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
			}
			catch (RecognitionException ex) {
				if (inputState.guessing==0) {
					reportError(ex);
					consume();
					consumeUntil(_tokenSet_21);
				} else {
				  throw ex;
				}
			}
			return vc;
		}
		
	public final CibleArray  cibleArray(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		CibleArray cible = new CibleArray(parent);
		
		Variable v=null; ExpressionSimple e=null;
		
		try {      // for error handling
			v=variable(parent);
			match(CROCHETG);
			e=expressionSimple(parent);
			if ( inputState.guessing==0 ) {
				cible.indices.add (e);
			}
			{
			_loop259:
			do {
				if ((LA(1)==VIRGULE)) {
					match(VIRGULE);
					e=expressionSimple(parent);
					if ( inputState.guessing==0 ) {
						cible.indices.add(e);
					}
				}
				else {
					break _loop259;
				}
				
			} while (true);
			}
			match(CROCHETD);
			if ( inputState.guessing==0 ) {
				cible.variable = v;
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_21);
			} else {
			  throw ex;
			}
		}
		return cible;
	}
	
	public final CibleStructuree  cibleStructuree(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		CibleStructuree cs=new CibleStructuree(parent);
		
		Identifier cons; Vector<VariableCible> liste;
		
		try {      // for error handling
			switch ( LA(1)) {
			case IDENTIFIER:
			{
				cons=constructeur();
				if ( inputState.guessing==0 ) {
					cs.constructeur = cons;
				}
				match(PARG);
				{
				switch ( LA(1)) {
				case IDENTIFIER:
				case PARG:
				{
					liste=listeVariableCible(parent);
					if ( inputState.guessing==0 ) {
						cs.liste = liste;
					}
					break;
				}
				case PARD:
				{
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				match(PARD);
				break;
			}
			case PARG:
			{
				{
				match(PARG);
				liste=listeVariableCible(parent);
				if ( inputState.guessing==0 ) {
					cs.liste = liste;
				}
				match(PARD);
				}
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_21);
			} else {
			  throw ex;
			}
		}
		return cs;
	}
	
	public final VariableCibleSimple  variableCibleSimple(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		VariableCibleSimple vc=new VariableCibleSimple(parent);
		
		Variable v = null ;
		
		try {      // for error handling
			v=variable(parent);
			if ( inputState.guessing==0 ) {
				vc.variable = v;
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_21);
			} else {
			  throw ex;
			}
		}
		return vc;
	}
	
	public final Vector<VariableCible>  listeVariableCible(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		Vector<VariableCible> liste;
		
		liste = new Vector<VariableCible> (); VariableCible v;
		
		try {      // for error handling
			v=variableCible(parent);
			if ( inputState.guessing==0 ) {
				liste.add (v);
			}
			{
			_loop267:
			do {
				if ((LA(1)==VIRGULE)) {
					match(VIRGULE);
					v=variableCible(parent);
					if ( inputState.guessing==0 ) {
						liste.add (v);
					}
				}
				else {
					break _loop267;
				}
				
			} while (true);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_22);
			} else {
			  throw ex;
			}
		}
		return liste;
	}
	
	public final ExpressionStructuree  expressionStructuree(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		ExpressionStructuree e;
		
		e = new ExpressionStructuree (parent); Identifier t; Vector<Expression> liste;
		
		try {      // for error handling
			{
			t=constructeur();
			if ( inputState.guessing==0 ) {
				e.constructeur = t;
			}
			match(PARG);
			{
			switch ( LA(1)) {
			case STRING_LITERAL:
			case TRUE:
			case FALSE:
			case CROCHETG:
			case IDENTIFIER:
			case PARG:
			case ENTIER:
			case RANDOM:
			{
				liste=listeExpression(parent);
				if ( inputState.guessing==0 ) {
					e.expressions = liste;
				}
				break;
			}
			case PARD:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			match(PARD);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_20);
			} else {
			  throw ex;
			}
		}
		return e;
	}
	
	public final ExpressionTab  expressionTab(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		ExpressionTab e=new ExpressionTab(parent);
		
		ExpressionSimple expr = null; Range r=null;
		
		try {      // for error handling
			match(CROCHETG);
			r=simpleRange(parent);
			if ( inputState.guessing==0 ) {
				e.ranges.add (r);
			}
			{
			_loop273:
			do {
				if ((LA(1)==VIRGULE)) {
					match(VIRGULE);
					r=simpleRange(parent);
					if ( inputState.guessing==0 ) {
						e.ranges.add(r);
					}
				}
				else {
					break _loop273;
				}
				
			} while (true);
			}
			match(CROCHETD);
			expr=expressionSimple(parent);
			if ( inputState.guessing==0 ) {
				e.expression = expr;
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_20);
			} else {
			  throw ex;
			}
		}
		return e;
	}
	
	public final Vector<Expression>  listeExpression(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		Vector<Expression> liste=new Vector<Expression>();
		
		Expression e;
		
		try {      // for error handling
			e=expression(parent);
			if ( inputState.guessing==0 ) {
				liste.add (e);
			}
			{
			_loop279:
			do {
				if ((LA(1)==VIRGULE)) {
					match(VIRGULE);
					e=expression(parent);
					if ( inputState.guessing==0 ) {
						liste.add (e);
					}
				}
				else {
					break _loop279;
				}
				
			} while (true);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_22);
			} else {
			  throw ex;
			}
		}
		return liste;
	}
	
	public final CommandeOutput  commandeSortie(
		ListeCommande parent
	) throws RecognitionException, TokenStreamException {
		CommandeOutput cmd=new CommandeOutput(parent);
		
		ProcessusCible p; Expression e;
		
		try {      // for error handling
			p=processusCible(cmd);
			match(OUTPUT);
			e=expression(cmd);
			if ( inputState.guessing==0 ) {
				cmd.expression = e; cmd.processusCible = p;
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_17);
			} else {
			  throw ex;
			}
		}
		return cmd;
	}
	
	public final CommandeInput  commandeEntree(
		ListeCommande parent
	) throws RecognitionException, TokenStreamException {
		CommandeInput cmd=new CommandeInput(parent);
		
		ProcessusCible p; VariableCible vc;
		
		try {      // for error handling
			p=processusCible(cmd);
			match(INPUT);
			vc=variableCible(cmd);
			if ( inputState.guessing==0 ) {
				cmd.variableCible = vc; cmd.processusCible = p;
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_17);
			} else {
			  throw ex;
			}
		}
		return cmd;
	}
	
	public final ProcessusCible  processusCible(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		ProcessusCible p = new ProcessusCible (parent);
		
		Identifier nom; Vector<ExpressionSimple> liste;
		
		try {      // for error handling
			nom=nomProcessus();
			if ( inputState.guessing==0 ) {
				p.nomProcessus = nom;
			}
			{
			switch ( LA(1)) {
			case CROCHETG:
			{
				match(CROCHETG);
				liste=listeIndice(parent);
				match(CROCHETD);
				if ( inputState.guessing==0 ) {
					p.listeIndice = liste;
				}
				break;
			}
			case OUTPUT:
			case INPUT:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_23);
			} else {
			  throw ex;
			}
		}
		return p;
	}
	
	public final Vector<ExpressionSimple>  listeIndice(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		Vector<ExpressionSimple> liste;
		
		liste = new Vector<ExpressionSimple> (); ExpressionSimple e;
		
		try {      // for error handling
			e=expressionSimple(parent);
			if ( inputState.guessing==0 ) {
				liste.add (e);
			}
			{
			_loop290:
			do {
				if ((LA(1)==VIRGULE)) {
					match(VIRGULE);
					e=expressionSimple(parent);
					if ( inputState.guessing==0 ) {
						liste.add(e);
					}
				}
				else {
					break _loop290;
				}
				
			} while (true);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_24);
			} else {
			  throw ex;
			}
		}
		return liste;
	}
	
	public final CommandeParallele  commandeParallele(
		ListeCommande parent
	) throws RecognitionException, TokenStreamException {
		CommandeParallele cmd;
		
		cmd = new CommandeParallele (parent); Vector<Processus> liste;
		
		try {      // for error handling
			match(CROCHETG);
			liste=listeProcessus(cmd);
			match(CROCHETD);
			if ( inputState.guessing==0 ) {
				cmd.listeProcessus = liste;
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_14);
			} else {
			  throw ex;
			}
		}
		return cmd;
	}
	
	public final CommandeAlternative  commandeAlternative(
		ListeCommande parent
	) throws RecognitionException, TokenStreamException {
		CommandeAlternative cmd=new CommandeAlternative(parent);
		
		Vector<CommandeGardee> liste;
		
		try {      // for error handling
			match(CROCHETG);
			liste=listeCommandeGardee(cmd);
			if ( inputState.guessing==0 ) {
				cmd.liste = liste;
			}
			match(CROCHETD);
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_14);
			} else {
			  throw ex;
			}
		}
		return cmd;
	}
	
	public final CommandeAlternative  commandeRepetitive(
		ListeCommande parent
	) throws RecognitionException, TokenStreamException {
		CommandeAlternative cmd=null;
		
		
		try {      // for error handling
			match(ETOILE);
			cmd=commandeAlternative(parent);
			if ( inputState.guessing==0 ) {
				cmd.type = CommandeAlternative.REPETITIVE;
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_14);
			} else {
			  throw ex;
			}
		}
		return cmd;
	}
	
	public final Vector<Processus>  listeProcessus(
		Commande cmd
	) throws RecognitionException, TokenStreamException {
		Vector<Processus> liste;
		
		liste = new Vector<Processus> (); Processus p;
		
		try {      // for error handling
			p=processus(cmd);
			if ( inputState.guessing==0 ) {
				liste.add (p);
			}
			{
			_loop297:
			do {
				if ((LA(1)==PARALLELE)) {
					match(PARALLELE);
					p=processus(cmd);
					if ( inputState.guessing==0 ) {
						liste.add (p);
					}
				}
				else {
					break _loop297;
				}
				
			} while (true);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_24);
			} else {
			  throw ex;
			}
		}
		return liste;
	}
	
	public final Processus  processus(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		Processus p;
		
		p = new Processus (parent); LabelProcessus label; ListeCommande liste; 
			Identifier id;
		
		try {      // for error handling
			label=labelProcessus(parent);
			match(DOUBLE_DEUX_PTS);
			if ( inputState.guessing==0 ) {
				p.label = label;
			}
			{
			boolean synPredMatched301 = false;
			if (((_tokenSet_25.member(LA(1))) && (_tokenSet_26.member(LA(2))))) {
				int _m301 = mark();
				synPredMatched301 = true;
				inputState.guessing++;
				try {
					{
					listeCommande(parent.parent, null);
					}
				}
				catch (RecognitionException pe) {
					synPredMatched301 = false;
				}
				rewind(_m301);
				inputState.guessing--;
			}
			if ( synPredMatched301 ) {
				liste=listeCommande(parent.parent, null);
				if ( inputState.guessing==0 ) {
					p.listeCommande = liste;
				}
			}
			else if ((LA(1)==IDENTIFIER) && (LA(2)==CROCHETD||LA(2)==PARALLELE)) {
				id=idListeCommande();
				if ( inputState.guessing==0 ) {
					p.idListeCommande = id;
				}
			}
			else {
				throw new NoViableAltException(LT(1), getFilename());
			}
			
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_27);
			} else {
			  throw ex;
			}
		}
		return p;
	}
	
	public final LabelProcessus  labelProcessus(
		Commande cmd
	) throws RecognitionException, TokenStreamException {
		LabelProcessus label=new LabelProcessus(cmd);
		
		Identifier nom; Vector<IndiceLabel> liste;
		
		try {      // for error handling
			nom=nomProcessus();
			if ( inputState.guessing==0 ) {
				label.nomProcessus = nom;
			}
			{
			switch ( LA(1)) {
			case CROCHETG:
			{
				match(CROCHETG);
				liste=listeIndiceLabel(cmd);
				if ( inputState.guessing==0 ) {
					label.listeIndice = liste;
				}
				match(CROCHETD);
				break;
			}
			case DOUBLE_DEUX_PTS:
			{
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_28);
			} else {
			  throw ex;
			}
		}
		return label;
	}
	
	public final Vector<IndiceLabel>  listeIndiceLabel(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		Vector<IndiceLabel> liste ;
		
		liste = new Vector<IndiceLabel> (); IndiceLabel i;
		
		try {      // for error handling
			i=indiceLabel(parent);
			if ( inputState.guessing==0 ) {
				liste.add (i);
			}
			{
			_loop306:
			do {
				if ((LA(1)==VIRGULE)) {
					match(VIRGULE);
					i=indiceLabel(parent);
					if ( inputState.guessing==0 ) {
						liste.add(i);
					}
				}
				else {
					break _loop306;
				}
				
			} while (true);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_24);
			} else {
			  throw ex;
			}
		}
		return liste ;
	}
	
	public final IndiceLabel  indiceLabel(
		Commande cmd
	) throws RecognitionException, TokenStreamException {
		IndiceLabel indice = new IndiceLabel();
		
		ExpressionSimple expr; Range r;
		
		try {      // for error handling
			r=range(cmd);
			if ( inputState.guessing==0 ) {
				indice.range = r;
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_10);
			} else {
			  throw ex;
			}
		}
		return indice;
	}
	
	public final Range  range(
		Commande cmd
	) throws RecognitionException, TokenStreamException {
		Range r = new Range (cmd);
		
		Variable v; ExpressionSimple e;
		
		try {      // for error handling
			v=variable(cmd);
			if ( inputState.guessing==0 ) {
				r.variable = v;
			}
			match(DEUX_PTS);
			e=expressionSimple(cmd);
			if ( inputState.guessing==0 ) {
				r.borneInf = e;
			}
			match(DOUBLE_PT);
			e=expressionSimple(cmd);
			if ( inputState.guessing==0 ) {
				r.borneSup = e;
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_29);
			} else {
			  throw ex;
			}
		}
		return r;
	}
	
	public final Vector<CommandeGardee>  listeCommandeGardee(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		Vector<CommandeGardee> liste ;
		
		liste = new Vector<CommandeGardee> (); CommandeGardee c;
		
		try {      // for error handling
			c=commandeGardee(parent);
			if ( inputState.guessing==0 ) {
				liste.add (c);
			}
			{
			_loop314:
			do {
				if ((LA(1)==CROCHETG)) {
					match(CROCHETG);
					match(CROCHETD);
					c=commandeGardee(parent);
					if ( inputState.guessing==0 ) {
						liste.add (c);
					}
				}
				else {
					break _loop314;
				}
				
			} while (true);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_24);
			} else {
			  throw ex;
			}
		}
		return liste ;
	}
	
	public final CommandeGardee  commandeGardee(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		CommandeGardee c;
		
		c = new CommandeGardee(parent); Range r; c.listeRange = new Vector<Range> (); 
			Garde g; ListeCommande liste;
		
		try {      // for error handling
			{
			boolean synPredMatched320 = false;
			if (((LA(1)==PARG) && (LA(2)==IDENTIFIER))) {
				int _m320 = mark();
				synPredMatched320 = true;
				inputState.guessing++;
				try {
					{
					match(PARG);
					range(c);
					{
					_loop319:
					do {
						if ((LA(1)==VIRGULE)) {
							match(VIRGULE);
							range(c);
						}
						else {
							break _loop319;
						}
						
					} while (true);
					}
					match(PARD);
					}
				}
				catch (RecognitionException pe) {
					synPredMatched320 = false;
				}
				rewind(_m320);
				inputState.guessing--;
			}
			if ( synPredMatched320 ) {
				match(PARG);
				r=range(c);
				if ( inputState.guessing==0 ) {
					c.listeRange.add (r);
				}
				{
				_loop322:
				do {
					if ((LA(1)==VIRGULE)) {
						match(VIRGULE);
						r=range(c);
						if ( inputState.guessing==0 ) {
							c.listeRange.add(r);
						}
					}
					else {
						break _loop322;
					}
					
				} while (true);
				}
				match(PARD);
			}
			else if ((_tokenSet_16.member(LA(1))) && (_tokenSet_30.member(LA(2)))) {
			}
			else {
				throw new NoViableAltException(LT(1), getFilename());
			}
			
			}
			g=garde(c);
			match(FLECHE);
			liste=listeCommande(parent.parent, null);
			if ( inputState.guessing==0 ) {
				c.garde = g; c.setListeCommande (liste);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_31);
			} else {
			  throw ex;
			}
		}
		return c;
	}
	
	public final Garde  garde(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		Garde g;
		
		g = new Garde (parent); Vector<Declaration> liste; CommandeES cmd; ExpressionSimple e;
		
		try {      // for error handling
			boolean synPredMatched325 = false;
			if (((_tokenSet_16.member(LA(1))) && (_tokenSet_32.member(LA(2))))) {
				int _m325 = mark();
				synPredMatched325 = true;
				inputState.guessing++;
				try {
					{
					expressionSimple(parent);
					match(PT_VIRGULE);
					commandeES(parent.parent);
					}
				}
				catch (RecognitionException pe) {
					synPredMatched325 = false;
				}
				rewind(_m325);
				inputState.guessing--;
			}
			if ( synPredMatched325 ) {
				e=expressionSimple(parent);
				if ( inputState.guessing==0 ) {
					g.exprBool = e;
				}
				match(PT_VIRGULE);
				cmd=commandeES(parent.parent);
				if ( inputState.guessing==0 ) {
					g.commandeES = cmd;
				}
			}
			else {
				boolean synPredMatched327 = false;
				if (((LA(1)==IDENTIFIER) && (LA(2)==CROCHETG||LA(2)==OUTPUT||LA(2)==INPUT))) {
					int _m327 = mark();
					synPredMatched327 = true;
					inputState.guessing++;
					try {
						{
						commandeES(parent.parent);
						}
					}
					catch (RecognitionException pe) {
						synPredMatched327 = false;
					}
					rewind(_m327);
					inputState.guessing--;
				}
				if ( synPredMatched327 ) {
					cmd=commandeES(parent.parent);
					if ( inputState.guessing==0 ) {
						g.commandeES = cmd;
					}
				}
				else if ((_tokenSet_16.member(LA(1))) && (_tokenSet_33.member(LA(2)))) {
					e=expressionSimple(parent);
					if ( inputState.guessing==0 ) {
						g.exprBool = e;
					}
				}
				else {
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
			}
			catch (RecognitionException ex) {
				if (inputState.guessing==0) {
					reportError(ex);
					consume();
					consumeUntil(_tokenSet_34);
				} else {
				  throw ex;
				}
			}
			return g;
		}
		
	public final Vector<Declaration>  listeDeclaration(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		Vector<Declaration> liste;
		
		liste = new Vector<Declaration> (); Declaration d;
		
		try {      // for error handling
			d=declaration(parent.parent);
			if ( inputState.guessing==0 ) {
				liste.add (d);
			}
			{
			_loop332:
			do {
				boolean synPredMatched331 = false;
				if (((LA(1)==PT_VIRGULE))) {
					int _m331 = mark();
					synPredMatched331 = true;
					inputState.guessing++;
					try {
						{
						match(PT_VIRGULE);
						declaration(parent.parent);
						}
					}
					catch (RecognitionException pe) {
						synPredMatched331 = false;
					}
					rewind(_m331);
					inputState.guessing--;
				}
				if ( synPredMatched331 ) {
					match(PT_VIRGULE);
					d=declaration(parent.parent);
					if ( inputState.guessing==0 ) {
						liste.add (d);
					}
				}
				else {
					break _loop332;
				}
				
			} while (true);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_0);
			} else {
			  throw ex;
			}
		}
		return liste;
	}
	
	public final ExpressionSimple  exprBool(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		ExpressionSimple mem=null;
		
		Token  t1 = null;
		Token  t2 = null;
		Token  t3 = null;
		Token  t4 = null;
		Token  t5 = null;
		Token  t6 = null;
		ExpressionSimple e,nouv; Token t = null;
		
		try {      // for error handling
			mem=expressionOp(parent);
			{
			_loop340:
			do {
				if (((LA(1) >= EGAL && LA(1) <= PLUSPETIT))) {
					{
					switch ( LA(1)) {
					case EGAL:
					{
						t1 = LT(1);
						match(EGAL);
						if ( inputState.guessing==0 ) {
							t = t1;
						}
						break;
					}
					case SLASH_EGAL:
					{
						t2 = LT(1);
						match(SLASH_EGAL);
						if ( inputState.guessing==0 ) {
							t = t2;
						}
						break;
					}
					case PLUSGRAND_EGAL:
					{
						t3 = LT(1);
						match(PLUSGRAND_EGAL);
						if ( inputState.guessing==0 ) {
							t = t3;
						}
						break;
					}
					case PLUSPETIT_EGAL:
					{
						t4 = LT(1);
						match(PLUSPETIT_EGAL);
						if ( inputState.guessing==0 ) {
							t = t4;
						}
						break;
					}
					case PLUSGRAND:
					{
						t5 = LT(1);
						match(PLUSGRAND);
						if ( inputState.guessing==0 ) {
							t = t5;
						}
						break;
					}
					case PLUSPETIT:
					{
						t6 = LT(1);
						match(PLUSPETIT);
						if ( inputState.guessing==0 ) {
							t = t6;
						}
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
					e=expressionOp(parent);
					if ( inputState.guessing==0 ) {
						nouv = new ExpressionSimple (parent); 
											 nouv.leftMember = mem; 
											 nouv.operateur = t;
											 nouv.rightMember = e;
											 mem = nouv;
										
					}
				}
				else {
					break _loop340;
				}
				
			} while (true);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_35);
			} else {
			  throw ex;
			}
		}
		return mem;
	}
	
	public final ExpressionSimple  expressionOp(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		ExpressionSimple mem=null;
		
		Token  t1 = null;
		Token  t2 = null;
		ExpressionSimple e, nouv; Token t=null;
		
		try {      // for error handling
			mem=expr(parent);
			{
			_loop344:
			do {
				if ((LA(1)==PLUS||LA(1)==MOINS)) {
					{
					switch ( LA(1)) {
					case PLUS:
					{
						t1 = LT(1);
						match(PLUS);
						if ( inputState.guessing==0 ) {
							t = t1;
						}
						break;
					}
					case MOINS:
					{
						t2 = LT(1);
						match(MOINS);
						if ( inputState.guessing==0 ) {
							t = t2;
						}
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
					e=expr(parent);
					if ( inputState.guessing==0 ) {
						nouv = new ExpressionSimple (parent); 
										 nouv.leftMember = mem; 
										 nouv.operateur = t;
										 nouv.rightMember = e;
										 mem = nouv;
									
					}
				}
				else {
					break _loop344;
				}
				
			} while (true);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_36);
			} else {
			  throw ex;
			}
		}
		return mem;
	}
	
	public final ExpressionSimple  expr(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		ExpressionSimple mem=null;
		
		Token  t1 = null;
		Token  t2 = null;
		Token  t3 = null;
		ExpressionSimple e,nouv; Token t = null;
		
		try {      // for error handling
			mem=atom(parent);
			{
			_loop348:
			do {
				if ((LA(1)==ETOILE||LA(1)==DIV||LA(1)==MOD)) {
					{
					switch ( LA(1)) {
					case ETOILE:
					{
						t1 = LT(1);
						match(ETOILE);
						if ( inputState.guessing==0 ) {
							t = t1;
						}
						break;
					}
					case DIV:
					{
						t2 = LT(1);
						match(DIV);
						if ( inputState.guessing==0 ) {
							t = t2;
						}
						break;
					}
					case MOD:
					{
						t3 = LT(1);
						match(MOD);
						if ( inputState.guessing==0 ) {
							t = t3;
						}
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
					e=atom(parent);
					if ( inputState.guessing==0 ) {
						nouv = new ExpressionSimple (parent); 
										 nouv.leftMember = mem; 
										 nouv.operateur = t;
										 nouv.rightMember = e;
										 mem = nouv;
									
					}
				}
				else {
					break _loop348;
				}
				
			} while (true);
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_37);
			} else {
			  throw ex;
			}
		}
		return mem;
	}
	
	public final ExpressionSimple  atom(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		ExpressionSimple mem=null;
		
		Valeur n; Variable v;
		
		try {      // for error handling
			switch ( LA(1)) {
			case STRING_LITERAL:
			case TRUE:
			case FALSE:
			case ENTIER:
			{
				mem=valeur();
				break;
			}
			case RANDOM:
			{
				mem=fonctionRandom(parent);
				break;
			}
			case PARG:
			{
				match(PARG);
				mem=expressionSimple(parent);
				match(PARD);
				break;
			}
			default:
				boolean synPredMatched351 = false;
				if (((LA(1)==IDENTIFIER) && (LA(2)==CROCHETG))) {
					int _m351 = mark();
					synPredMatched351 = true;
					inputState.guessing++;
					try {
						{
						valeurTab(parent);
						}
					}
					catch (RecognitionException pe) {
						synPredMatched351 = false;
					}
					rewind(_m351);
					inputState.guessing--;
				}
				if ( synPredMatched351 ) {
					mem=valeurTab(parent);
				}
				else if ((LA(1)==IDENTIFIER) && (_tokenSet_5.member(LA(2)))) {
					mem=variable(parent);
				}
			else {
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_5);
			} else {
			  throw ex;
			}
		}
		return mem;
	}
	
	public final FonctionRandom  fonctionRandom(
		Commande parent
	) throws RecognitionException, TokenStreamException {
		FonctionRandom rand = new FonctionRandom(parent);
		
		ExpressionSimple min = null; ExpressionSimple max = null;
		
		try {      // for error handling
			match(RANDOM);
			match(PARG);
			min=expressionSimple(parent);
			if ( inputState.guessing==0 ) {
				rand.min = min;
			}
			match(VIRGULE);
			max=expressionSimple(parent);
			if ( inputState.guessing==0 ) {
				rand.max = max;
			}
			match(PARD);
		}
		catch (RecognitionException ex) {
			if (inputState.guessing==0) {
				reportError(ex);
				consume();
				consumeUntil(_tokenSet_5);
			} else {
			  throw ex;
			}
		}
		return rand;
	}
	
	
	public static final String[] _tokenNames = {
		"<0>",
		"EOF",
		"<2>",
		"NULL_TREE_LOOKAHEAD",
		"\"define\"",
		"STRING_LITERAL",
		"\"true\"",
		"\"false\"",
		"CROCHETG",
		"VIRGULE",
		"CROCHETD",
		"IDENTIFIER",
		"\"integer\"",
		"\"string\"",
		"\"boolean\"",
		"PARG",
		"PARD",
		"ENTIER",
		"DOUBLE_EGAL",
		"PT_VIRGULE",
		"\"sleep\"",
		"\"print\"",
		"\"skip\"",
		"DEUX_PTS",
		"AFFECT",
		"OUTPUT",
		"INPUT",
		"PARALLELE",
		"DOUBLE_DEUX_PTS",
		"DOUBLE_PT",
		"ETOILE",
		"FLECHE",
		"AND",
		"OR",
		"EGAL",
		"SLASH_EGAL",
		"PLUSGRAND_EGAL",
		"PLUSPETIT_EGAL",
		"PLUSGRAND",
		"PLUSPETIT",
		"PLUS",
		"MOINS",
		"DIV",
		"\"mod\"",
		"\"random\"",
		"\"use\"",
		"ML_COMMENT",
		"WHITESPACE",
		"NEWLINE",
		"ESC",
		"HEX_DIGIT"
	};
	
	private static final long[] mk_tokenSet_0() {
		long[] data = { 2L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_0 = new BitSet(mk_tokenSet_0());
	private static final long[] mk_tokenSet_1() {
		long[] data = { 2064L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_1 = new BitSet(mk_tokenSet_1());
	private static final long[] mk_tokenSet_2() {
		long[] data = { 2050L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_2 = new BitSet(mk_tokenSet_2());
	private static final long[] mk_tokenSet_3() {
		long[] data = { 17592178675682L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_3 = new BitSet(mk_tokenSet_3());
	private static final long[] mk_tokenSet_4() {
		long[] data = { 17591783984914L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_4 = new BitSet(mk_tokenSet_4());
	private static final long[] mk_tokenSet_5() {
		long[] data = { 17591783984898L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_5 = new BitSet(mk_tokenSet_5());
	private static final long[] mk_tokenSet_6() {
		long[] data = { 17591809150722L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_6 = new BitSet(mk_tokenSet_6());
	private static final long[] mk_tokenSet_7() {
		long[] data = { 2819165954L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_7 = new BitSet(mk_tokenSet_7());
	private static final long[] mk_tokenSet_8() {
		long[] data = { 134480896L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_8 = new BitSet(mk_tokenSet_8());
	private static final long[] mk_tokenSet_9() {
		long[] data = { 151588610L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_9 = new BitSet(mk_tokenSet_9());
	private static final long[] mk_tokenSet_10() {
		long[] data = { 1536L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_10 = new BitSet(mk_tokenSet_10());
	private static final long[] mk_tokenSet_11() {
		long[] data = { 32768L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_11 = new BitSet(mk_tokenSet_11());
	private static final long[] mk_tokenSet_12() {
		long[] data = { 369099008L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_12 = new BitSet(mk_tokenSet_12());
	private static final long[] mk_tokenSet_13() {
		long[] data = { 134221058L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_13 = new BitSet(mk_tokenSet_13());
	private static final long[] mk_tokenSet_14() {
		long[] data = { 134745346L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_14 = new BitSet(mk_tokenSet_14());
	private static final long[] mk_tokenSet_15() {
		long[] data = { 16812288L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_15 = new BitSet(mk_tokenSet_15());
	private static final long[] mk_tokenSet_16() {
		long[] data = { 17592186210528L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_16 = new BitSet(mk_tokenSet_16());
	private static final long[] mk_tokenSet_17() {
		long[] data = { 2282228994L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_17 = new BitSet(mk_tokenSet_17());
	private static final long[] mk_tokenSet_18() {
		long[] data = { 8388608L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_18 = new BitSet(mk_tokenSet_18());
	private static final long[] mk_tokenSet_19() {
		long[] data = { 35183433322466L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_19 = new BitSet(mk_tokenSet_19());
	private static final long[] mk_tokenSet_20() {
		long[] data = { 2282295042L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_20 = new BitSet(mk_tokenSet_20());
	private static final long[] mk_tokenSet_21() {
		long[] data = { 2299072258L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_21 = new BitSet(mk_tokenSet_21());
	private static final long[] mk_tokenSet_22() {
		long[] data = { 65536L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_22 = new BitSet(mk_tokenSet_22());
	private static final long[] mk_tokenSet_23() {
		long[] data = { 100663296L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_23 = new BitSet(mk_tokenSet_23());
	private static final long[] mk_tokenSet_24() {
		long[] data = { 1024L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_24 = new BitSet(mk_tokenSet_24());
	private static final long[] mk_tokenSet_25() {
		long[] data = { 1081116928L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_25 = new BitSet(mk_tokenSet_25());
	private static final long[] mk_tokenSet_26() {
		long[] data = { 17592446783456L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_26 = new BitSet(mk_tokenSet_26());
	private static final long[] mk_tokenSet_27() {
		long[] data = { 134218752L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_27 = new BitSet(mk_tokenSet_27());
	private static final long[] mk_tokenSet_28() {
		long[] data = { 268435456L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_28 = new BitSet(mk_tokenSet_28());
	private static final long[] mk_tokenSet_29() {
		long[] data = { 67072L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_29 = new BitSet(mk_tokenSet_29());
	private static final long[] mk_tokenSet_30() {
		long[] data = { 35183399700960L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_30 = new BitSet(mk_tokenSet_30());
	private static final long[] mk_tokenSet_31() {
		long[] data = { 1280L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_31 = new BitSet(mk_tokenSet_31());
	private static final long[] mk_tokenSet_32() {
		long[] data = { 35181151554016L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_32 = new BitSet(mk_tokenSet_32());
	private static final long[] mk_tokenSet_33() {
		long[] data = { 35183298513376L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_33 = new BitSet(mk_tokenSet_33());
	private static final long[] mk_tokenSet_34() {
		long[] data = { 2147483648L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_34 = new BitSet(mk_tokenSet_34());
	private static final long[] mk_tokenSet_35() {
		long[] data = { 15704067842L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_35 = new BitSet(mk_tokenSet_35());
	private static final long[] mk_tokenSet_36() {
		long[] data = { 1098035826434L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_36 = new BitSet(mk_tokenSet_36());
	private static final long[] mk_tokenSet_37() {
		long[] data = { 4396570709762L, 0L};
		return data;
	}
	public static final BitSet _tokenSet_37 = new BitSet(mk_tokenSet_37());
	
	}
