package ihm.runtimeIhm;

import java.util.concurrent.atomic.AtomicBoolean;

public class Temporisateur implements Runnable {

	private int timing = 0; 
	
	public Thread proc;
	public Sync sync;
	public AtomicBoolean alive = new AtomicBoolean (true);
	
	public Temporisateur (Sync sync, int timing) {
		this.sync = sync;
		this.timing = timing;
		
		proc = new Thread (this);
		
		proc.start ();
	}

	public void run() {
		while (alive.get()) {
			sync.hop();
			try {
				Thread.sleep(timing);
			} catch (InterruptedException e) {
			}
		}
	}
	
	public void stop () {
		alive.set(false);
		proc.interrupt();
	}
}
