package outputDir;
import csp_runtime.*;

public class SIEVE extends CspThread {
	final int i;
	anonymous console;
	SIEVE []sieve;
	
	public SIEVE(String name, int i) {
		super (name);
		this.i = i;
		setThreadBounds (5, 2, 34, 2);
		setCompleteName(i);
		}
	
	public void setVariables(anonymous console,SIEVE []sieve) {
		this.console = console;
		this.sieve = sieve;
		}
	
	public void run () {
		try {
			while (true) {
				if (debug (new DebugObj(5, 2, 34, 2))) break;
				/* [ ... [] ... ] */
				Select select = getNewSelect();
				BoolExpr exprBool = new BoolExpr () {
					public boolean eval() {
						 return (i==0);
						}
					 public DebugObj getDebugObj() { return new DebugObj(6, 3, 6, 9); }
					};
				BoolExpr exprBool$0 = new BoolExpr () {
					public boolean eval() {
						 return (i==(10+1));
						}
					 public DebugObj getDebugObj() { return new DebugObj(13, 3, 13, 14); }
					};
				BoolExpr exprBool$1 = new BoolExpr () {
					public boolean eval() {
						 return ((i!=0)&&(i!=(10+1)));
						}
					 public DebugObj getDebugObj() { return new DebugObj(19, 3, 19, 24); }
					};
				select.addSimpleGarde (0,new int[]{},exprBool);
				
				select.addSimpleGarde (1,new int[]{},exprBool$0);
				
				select.addSimpleGarde (2,new int[]{},exprBool$1);
				
				if (!select.select()) break;
				int ch = select.getChoice();
				int [] range = select.getRange ();
				/* (i=0) -> */
				if (ch==0) {
					
					if (debug (new DebugObj(7, 4, 7, 12))) break;
					/* console!2 */
					if (!output(console, new Expression ("none", CspData.newCspData(2)))) break;
					if (debug (new DebugObj(8, 4, 8, 19))) break;
					/* n : integer := 3 */
					final CspData<Integer> n = CspData.newCspData(3);
					if (debug (new DebugObj(9, 4, 11, 4))) break;
					/* *[ ... [] ... ] */
					/* (n<MAX) -> */
					while (true) {
						debug (new DebugObj(10, 5, 10, 13));
						if (!(n.get()<1000)) break;
						if (debug (new DebugObj(10, 16, 10, 25))) break;
						/* sieve[1]!n */
						if (!output(sieve[1 - 0], new Expression ("none", n))) break;
						if (debug (new DebugObj(10, 28, 10, 37))) break;
						/* n := (n+2) */
						n.set((n.get()+2));
						
						
						}
					
					}
				/* (i=(NS+1)) -> */
				if (ch==1) {
					
					if (debug (new DebugObj(14, 4, 14, 14))) break;
					/* n : integer */
					final CspData<Integer> n$0 = CspData.newCspData(0);
					if (debug (new DebugObj(15, 4, 17, 4))) break;
					/* *[ ... [] ... ] */
					/* sieve[NS]?n -> */
					while (true) {
						debug (new DebugObj(16, 5, 16, 17));
						if (!input (sieve[10 - 0],new Expression("none", n$0))) break;
						if (debug (new DebugObj(16, 20, 16, 28))) break;
						/* console!n */
						if (!output(console, new Expression ("none", n$0))) break;
						
						
						}
					
					}
				/* ((i/=0)&(i/=(NS+1))) -> */
				if (ch==2) {
					
					if (debug (new DebugObj(20, 4, 20, 18))) break;
					/* p, mp : integer */
					final CspData<Integer> p = CspData.newCspData(0);final CspData<Integer> mp = CspData.newCspData(0);
					if (debug (new DebugObj(21, 4, 21, 16))) break;
					/* sieve[(i-1)]?p */
					if (!input (sieve[(i-1) - 0],new Expression("none", p))) break;
					if (debug (new DebugObj(22, 4, 22, 12))) break;
					/* console!p */
					if (!output(console, new Expression ("none", p))) break;
					if (debug (new DebugObj(23, 4, 23, 10))) break;
					/* mp := p */
					mp.set(p.get());
					if (debug (new DebugObj(24, 4, 24, 14))) break;
					/* m : integer */
					final CspData<Integer> m = CspData.newCspData(0);
					if (debug (new DebugObj(25, 4, 33, 4))) break;
					/* *[ ... [] ... ] */
					/* sieve[(i-1)]?m -> */
					while (true) {
						debug (new DebugObj(26, 5, 26, 18));
						if (!input (sieve[(i-1) - 0],new Expression("none", m))) break;
						if (debug (new DebugObj(27, 6, 27, 32))) break;
						/* *[ ... [] ... ] */
						/* (m>mp) -> */
						while (true) {
							debug (new DebugObj(27, 10, 27, 17));
							if (!(m.get()>mp.get())) break;
							if (debug (new DebugObj(27, 20, 27, 31))) break;
							/* mp := (mp+p) */
							mp.set((mp.get()+p.get()));
							
							
							}
						
						if (debug (new DebugObj(28, 6, 32, 6))) break;
						/* [ ... [] ... ] */
						Select select$0 = getNewSelect();
						BoolExpr exprBool$2 = new BoolExpr () {
							public boolean eval() {
								 return (m.get().equals(mp.get()));
								}
							 public DebugObj getDebugObj() { return new DebugObj(29, 7, 29, 14); }
							};
						BoolExpr exprBool$3 = new BoolExpr () {
							public boolean eval() {
								 return (m.get()<mp.get());
								}
							 public DebugObj getDebugObj() { return new DebugObj(31, 7, 31, 14); }
							};
						select$0.addSimpleGarde (0,new int[]{},exprBool$2);
						
						select$0.addSimpleGarde (1,new int[]{},exprBool$3);
						
						if (!select$0.select()) break;
						int ch$0 = select$0.getChoice();
						int [] range$0 = select$0.getRange ();
						/* (m=mp) -> */
						if (ch$0==0) {
							
							if (debug (new DebugObj(29, 17, 29, 20))) break;
							
							}
						/* (m<mp) -> */
						if (ch$0==1) {
							
							if (debug (new DebugObj(31, 17, 31, 28))) break;
							/* sieve[(i+1)]!m */
							if (!output(sieve[(i+1) - 0], new Expression ("none", m))) break;
							}
						
						
						
						}
					
					}
				
				
				success = true;
				break;
				}
			} catch (Exception e) {
			print ("Terminaison exceptionnelle : <" + getName() + ">" + e.toString() + "\n");
			}
		
		fireDeath();
		}
	
	
	}
